Bug 1445615 - abrt part missing
Summary: abrt part missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python34
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 06:48 UTC by Frank Büttner
Modified: 2017-07-11 20:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-11 20:52:13 UTC


Attachments (Terms of Use)

Description Frank Büttner 2017-04-26 06:48:34 UTC
Description of problem:
Python 3.4 problems can't catched by abrt because the abrt part for python34 is missing.
By the system self only the catcher for python2 are released.

Comment 1 Petr Viktorin 2017-04-26 08:38:02 UTC
I'm not familiar with ABRT packaging (it's not part of the Python packages, and I don't use ABRT a lot).
I'm not sure how an ABRT catcher for EPEL package should be packaged. In this case, I don't think it should be in Python. Maybe a new package?
Could you try contacting the ABRT maintainers for guidance?

Comment 2 Charalampos Stratakis 2017-04-26 11:42:26 UTC
Requesting info from the abrt team on how to handle this issue.

Comment 3 Matej Habrnal 2017-04-26 14:07:38 UTC
(In reply to Charalampos Stratakis from comment #2)
> Requesting info from the abrt team on how to handle this issue.

ABRT package addon-python3 is missing in EPEL. The package can handle Python3 problems.

We should add the addon-python3 into EPEL.

Comment 4 Matej Habrnal 2017-04-26 14:27:31 UTC
> We should add the addon-python3 into EPEL.

I've added package name from ABRT's spec file and forgot to add 'abrt-' prefix. The full name of the package is 'abrt-addon-python3'.

Comment 5 Miroslav Suchý 2017-04-26 21:41:12 UTC
I guess that we just did not build addon-python3 to RHEL7 because in that time python34 did not exists in EPEL7. Yes, we can do something about it.

Comment 6 Fedora Update System 2017-07-04 08:09:07 UTC
abrt-addon-python3-2.1.11-49.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5c1cdaa826

Comment 7 Fedora Update System 2017-07-06 02:49:59 UTC
abrt-addon-python3-2.1.11-49.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5c1cdaa826

Comment 8 Fedora Update System 2017-07-11 20:52:13 UTC
abrt-addon-python3-2.1.11-49.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.